HFST-OPTIMIZED-LOOKUP(1)

NAME
hfst-optimized-lookup - =Usage: hfst-optimized-lookup [OPTIONS] TRANSDUCER

SYNOPSIS
hfst-optimized-lookup [OPTIONS] TRANSDUCER

DESCRIPTION
Run a transducer on standard input (one word per line) and print analyses NOTE: hfst-optimized-lookup does lookup from left to right as opposed to xfst

    and foma lookup which is carried out from right to left. In order to do lookup in a similar way as xfst and foma, invert the transducer first.

-h, --help
    Print this help message

-V, --version
    Print version information

-v, --verbose
    Be verbose

-q, --quiet
    Don't be verbose (default)

-s, --silent
    Same as quiet

-e, --echo
    Echo inputs (useful if redirecting lots of output to a file)

-w, --show-weights
    Print final analysis weights (if any)

-u, --unique
    Suppress duplicate analyses

-n N, --analyses=N
    Output no more than N analyses (if the transducer is weighted, the N best analyses)

-b, --beam=B
    Output only analyses whose weight is within B from the best analysis

-t, --time-cutoff=S
    Limit search after having used S seconds per input

-x, --xerox
    Xerox output format (default)

-f, --fast
    Be as fast as possible. (with this option enabled -u and -n don't work and output won't be ordered by weight).

-p, --pipe-mode[=STREAM]
    Control input and output streams.

N must be a positive integer. B must be a non-negative float. S must be a non-negative float. The default, 0.0, indicates no cutoff. Options -n and -b are combined with AND, i.e. they both restrict the output.

STREAM can be { input, output, both }. If not given, defaults to {both}. Input is read interactively line by line from the user. If you redirect input from a file, use --pipe-mode=input. --pipe-mode=output is ignored on non-windows platforms.

REPORTING BUGS
Report bugs to hfst-bugs@helsinki.fi

hfst-optimized-lookup 1.2
Aug 22 2018 13:57:15 copyright (C) 2009 University of Helsinki